%define	upstream_name	 Module-Install
%define upstream_version 1.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Standalone, extensible Perl module installer
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Archive::Tar) >= 1.440.0
BuildRequires: perl(Devel::PPPort) >= 3.160.0
BuildRequires: perl(ExtUtils::Install) >= 1.520.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(ExtUtils::ParseXS) >= 2.190.0
BuildRequires: perl(File::Remove) >= 1.420.0
BuildRequires: perl(File::Spec) >= 3.280.0
BuildRequires: perl(JSON) >= 2.140.0
BuildRequires: perl(LWP::UserAgent) >= 5.812.0
BuildRequires: perl(Module::Build) >= 0.290.0
BuildRequires: perl(Module::CoreList) >= 2.170.0
BuildRequires: perl(Module::ScanDeps) >= 0.890.0
BuildRequires: perl(PAR::Dist) >= 0.290.0
BuildRequires: perl(Parse::CPAN::Meta) >= 1.390.0
BuildRequires: perl(Test::Harness) >= 3.130.0
BuildRequires: perl(Test::More) >= 0.860.0
BuildRequires: perl(YAML::Tiny) >= 1.380.0
BuildRequires: perl-PathTools >= 3.270.100
BuildArch:  noarch

%description
This module provides a drop-in replacement for ExtUtils::MakeMaker. For
first-time users, Brian Ingerson's Creating Module Distributions with
Module::Install in June 2003 issue of The Perl Journal
(http://www.tpj.com/issues/) provides a gentle introduction to how this
module works.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
chmod 644 Changes
find lib -type f | xargs chmod 644
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
# this one requires a working CPAN configuration
rm -f t/03_autoinstall.t
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{perl_vendorlib}/Module
%{perl_vendorlib}/inc/Module
%{_mandir}/man3/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.60.0-2.mga3
+ Revision: 369821
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 05 2012 jquelin <jquelin> 1.60.0-1.mga2
+ Revision: 218952
- update to 1.06

* Thu Nov 03 2011 jquelin <jquelin> 1.40.0-1.mga2
+ Revision: 162243
- update to 1.04

* Thu Oct 13 2011 jquelin <jquelin> 1.20.0-1.mga2
+ Revision: 154549
- fix url
- update to 1.02

* Thu Jun 23 2011 jquelin <jquelin> 1.10.0-1.mga2
+ Revision: 112639
- update to 1.01

* Wed Jan 19 2011 jquelin <jquelin> 1.0.0-1.mga1
+ Revision: 24303
- fix specs
- imported package perl-Module-Install

